まきです。

> すみません。これはわたしのパッケージングのミスですね。
> 早速今夜から入れるようにします。

とのことでしたので、
ruby-1.8.0-20030820-i386-cygwin.tar.gz
を利用して再インストールしました
(ソースからのビルドは行いませんでした)。

これを利用した場合は無事にビルドとインストールが
でき、簡単なテストスクリプトの動作も確認しました。

ありがとうございました。